Bug 495573 - Can't install world of goo's demo
Can't install world of goo's demo
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 16:18 EDT by matt050
Modified: 2014-01-21 18:08 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-03 04:26:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matt050 2009-04-13 16:18:30 EDT
I downloaded the demo of world of goo (the rpm available here: http://worldofgoo.com/dl2.php?lk=demo )
When I try to install it, I have this error:

Error Type: <type 'exceptions.UnicodeDecodeError'>
Error Value: 'ascii' codec can't decode byte 0xc3 in position 61: ordinal not in range(128)
  File : /usr/lib/python2.5/site-packages/yum/rpmtrans.py, line 376, in callback
    self._instProgress( bytes, total, h )
  File : /usr/lib/python2.5/site-packages/yum/rpmtrans.py, line 457, in _instProgress
    self.complete_actions, self.total_actions)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2185, in event
    self._showName(self.info_actions[action])
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2178, in _showName
    self.base.package(package_id, status, self.curpkg.summary)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 230, in package
    PackageKitBaseBackend.package(self, package_id, status, summary)
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 109, in package
    print >> sys.stdout, "package\t$s\t$s\t$s" $ (status, package_id, summary)

Version-Release number of selected component (if applicable):
1.40

How reproducible:
Every time I try to install it
Comment 1 seth vidal 2009-04-14 09:26:24 EDT
I think this one is over to PK - it looks like the yumbackend callback isn't coping with weird encodings
Comment 2 Richard Hughes 2009-04-14 09:46:25 EDT
Matt, could you try Fedora 11 Beta live cd please, and tell me if it's fixed there. Thanks.
Comment 3 TK009 2009-05-11 12:25:47 EDT
I just installed the http://worldofgoo.com/dl2.php?lk=demo .rpm version without issue.  Game runs fine.

matt050, are you still seeing this error? If so, have you tried Richard's suggestion?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 matt050 2009-06-04 12:38:14 EDT
I'll wait for the F11 release and try to install it again.
Comment 5 matt050 2009-06-12 13:41:49 EDT
I upgraded my OS to Fedora 11 and now it's installed :- )
Comment 6 Bart van den Heuvel 2012-03-07 05:07:38 EST
Just installed World of Goo on Fedora 16.
It did install properly in /opt however it did not start.

Copy'd (as root) some libs from lib64. Now it works. Game on!

cd /opt/WorldOfGooDemo/libs64
cp /usr/lib64/libvorbis.so.0
cp /usr/lib64/libvorbisfile.so.3 .
cp /usr/lib64/libSDL-1.2.so.0 .
cp /usr/lib64/libogg.so.0 .

(Adding this to the old bug because it showed up in my Google search)

Note You need to log in before you can comment on or make changes to this bug.